# -*- coding: utf-8 -*-
from django.http import HttpResponse
from django.http import HttpResponseRedirect
from django.shortcuts import render_to_response
from django.template import RequestContext
from django.contrib.auth import logout
from django.conf import settings

import os

def homepage(request):
    context = {}
    return render_to_response('homepage.html', context,
        RequestContext(request))
       
def logout_view(request):
    logout(request)
    return HttpResponseRedirect('/')

def robots(request, template_name='robots.txt', mimetype="text/plain"):
    robots_path = os.path.join(settings.MEDIA_ROOT, template_name)
    robots_file= open(robots_path, 'r')
    robots_content = robots_file.read()
    robots_file.close()
    return HttpResponse(robots_content, mimetype=mimetype)
